<?php



	if(isset($_POST['dodaj'])){



		if( $_POST['nazwa']==NULL || $_FILES['plik']['tmp_name']==NULL ) {

			komunikat("Błąd","Wypełnij wszystkie wymagane pola");

		}

		else {

		

			$alias = str_replace(' ', "_", mb_strtolower($_FILES['plik']['name'], "UTF-8"));

			$alias = str_replace(',', "", $alias);

			$alias = filtr_pl($alias);				

			

			$wynik = mysql_query("SHOW TABLE STATUS LIKE 'pcms_pliki'");

			$wiersz = mysql_fetch_array( $wynik );

			$kolejneID = $wiersz['Auto_increment'];

			

			$plik = $kolejneID . "_" . $alias;

			// $plik = "test.txt";

			

			$sciezka = $katalog_uploadu . '/' . $plik;		

			

			if ( move_uploaded_file( $_FILES['plik']['tmp_name'], $sciezka ) )

			{

				$zapytanie = "INSERT INTO ".$db_pref."pliki 

				(plik, nazwa, data_dodania, przez_kogo)

				VALUES

				('".$plik."', '".$_POST['nazwa']."', now(), '".$_SESSION['u_id']."')";

			

				if( mysql_query($zapytanie) )

					komunikat("Komunikat","Nowy plik został pomyślnie dodany do bazy");

				else

					komunikat("Błąd SQL",mysql_error());

			}			

			else

				komunikat("Komunikat","Błąd podczas uploadu pliku na serwer");

		}

		

	}





	if(isset($komunikat)){

		komunikat("Komunikat",$komunikat);

	}







	echo '



			<form name="form_pliki" action="?go=dodaj_plik" method="post" class="f-wrap-1" enctype="multipart/form-data">



				<div class="req"><b>*</b> Pola wymagane</div>



				<fieldset>



				<h3>Dane pliku</h3>



			

';



echo'			

 	<label for="p1"><b><span style="color:#c00;font-size:120%">* </span>Nazwa pliku:</b>

		<input id="nazwa" name="nazwa" type="text" class="f-name" tabindex="1" value="'.$nazwa.'" />

	</label>

	

	<label for="p2"><b><span style="color:#c00;font-size:120%">* </span>Plik:</b>

		<input id="plik" name="plik" type="file" class="f-name" tabindex="2" style="width : 500px" />

	</label>

		



 	

			<div class="f-submit-wrap">

				<input type="submit" name="dodaj" value="Dodaj nowy plik" class="f-submit" /><br />

			</div>



		</fieldset>



	</form>

';



?>

